tigase.server.sreceiver

## Enum TaskCreationPolicy

- java.lang.Object
- - java.lang.Enum<TaskCreationPolicy>
  - - tigase.server.sreceiver.TaskCreationPolicy

- All Implemented Interfaces:
    Serializable, Comparable<TaskCreationPolicy>

      public enum TaskCreationPolicy
      extends Enum<TaskCreationPolicy>

  Describe enum TaskCreationPolicy here. Created: Mon May 28 08:53:40 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN`
    `ALL`
    `LOCAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskCreationPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskCreationPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final TaskCreationPolicy ALL

    - #### LOCAL

          public static final TaskCreationPolicy LOCAL

    - #### ADMIN

          public static final TaskCreationPolicy ADMIN

  - ### Method Detail

    - #### values

          public static TaskCreationPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskCreationPolicy c : TaskCreationPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskCreationPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 "Tigase, Inc.". All rights reserved.